1 Reply Latest reply: Jan 12, 2013 7:48 AM by Klaus1
Tango17 Level 1 Level 1 (0 points)

My Mac Book has OS 10.5.8

I'm trying to install iTunes and the install fails with the following:

OS must be 10.6.8 or greater.

 

I'm left there hanging. 

When I run "check for software updates" I am told that all software is up to date.

When I look for OS Updates I see things like Leopard, Tiger, Snow Tiger etc but nothing about OS X 10.6

Can anyone tell me how to go about updating my OS so that I can install iTunes?

 

Thank you


MacBook, Mac OS X (10.6.8)